Subject: RE: Q: apache: logresolve.c: undefined reference to `h_errno'
From: Josifovski Ljubomir-BLJ01Z <[email-masked]>
To: "'Charles S. Wilson'" <[email-masked]>
Cc: "Cygwin Mailing List (E-mail)" <[email-masked]>
Date: Fri, 15 Dec 2000 13:23:35 -0000

> The correct thing to do is to #include <netdb.h> in your source code. 

I tried #including <netdb.h> at the top of logresolve.c, but I still get the
error. 
(maybe I should include it somewhere else, or #define something?)

> The next best thing is to change
> 
> extern int h_errno;
> to
> extern __declspec(dllimport) int h_errno;

This works.

Many thanks,

-- 
Ljubomir Josifovski
mailto:[email-masked],[email-masked]
http://www.dcs.shef.ac.uk/~ljupco

--
Want to unsubscribe from this list?
Send a message to [email-masked]